View Issue Details

IDProjectCategoryView StatusLast Update
0000150Adventure PHP FrameworkBugpublic2015-10-12 12:20
ReporterScreezeAssigned Tojwlighting 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target Version2.1Fixed in Version2.1 
Summary0000150: $file->renameTo() kann nicht funktionieren
DescriptionDie Funktion renameTo() des FileSystemItem kann nicht funktionieren:
Man muss die Datei mit $file->open() öffnen. Das öffnet per fopen() die Datei. Nun macht man ein renameTo(): Die Datei ist immer noch offen, die funktioniert probiert ein rename() - und es knallt ein Fehler, weil bereits ein Prozess auf die Datei zugreift (Code 32 in Windows).
Klar: die Datei ist noch offen durch das fopen(). ein fclose() findet erst im destructor statt.

Hier liegt ein Denkfehler vor in der Implementierung.
Tagsfilesystem
Codereferenz: ([Datei]:[Zeile])APF/tools/filesystem/FilesystemItem.php:241
Namespacetools

Relationships

related to 0000154 closedjwlighting CLONE: $file->renameTo() kann nicht funktionieren 

Activities

jwlighting

2014-02-27 21:07

administrator   ~0000233

Neue Methode FilesystemItem::close() hinzugefügt.

Fix in REV#2718

Issue History

Date Modified Username Field Change
2014-02-26 12:57 Screeze New Issue
2014-02-26 18:11 jwlighting Tag Attached: filesystem
2014-02-27 20:56 jwlighting Codereferenz: ([Datei]:[Zeile]) => APF/tools/filesystem/FilesystemItem.php:241
2014-02-27 20:56 jwlighting Status new => resolved
2014-02-27 20:56 jwlighting Fixed in Version => 2.1
2014-02-27 20:56 jwlighting Resolution open => fixed
2014-02-27 20:56 jwlighting Assigned To => jwlighting
2014-02-27 20:57 jwlighting Target Version => 2.0.1
2014-02-27 20:57 jwlighting Target Version 2.0.1 => 2.1
2014-02-27 20:57 jwlighting Issue cloned: 0000154
2014-02-27 20:57 jwlighting Relationship added related to 0000154
2014-02-27 21:07 jwlighting Note Added: 0000233
2015-10-12 12:20 ChristianAchatz Status resolved => closed